Skip to main content

Post-Pay Sale


Use this information to process a sale for a Post-Pay transaction. A sale combines an authorization and a capture into a single transaction. For more information about this payment service, see Post-Pay Transaction Scenario.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows a sale request for a Mastercard transaction with online PIN in the Post-Pay scenario.

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Post-Pay Sale",    "partner": {      "developerId": "prodDeveloperId",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID36963"  },  "processingInformation": {    "capture": true,    "commerceIndicator": "retail",    "authorizationOptions": {      "authIndicator": "1"    }  },  "paymentInformation": {    "card": {      "type": "002"    },    "initiationChannel": "00"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "40.00",      "currency": "EUR"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20250920145732"  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "catLevel": 2,    "terminalCapability": 4,    "emv": {      "tags": "820279008407A0000000041010950500000480009A032409219C01005F2A0208409F02060000000040009F03060000000000009F10120110A0000F040000000000000000000000FF9F1A0208409F260874ED95E3A297502C9F2701809F3303E0F8C89F34034203009F3501229F360200029F3704A8775702"    },    "trackData": ";541333xx89020508=25122010727005691234?",    "serviceCode": "201",    "terminalPinCapability": 8,    "pinBlockEncodingFormat": 0,    "encryptedPin": "0CF46107296E1A55",    "encryptedKeySerialNumber": "23288800010000200004"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/7585749109016590303814/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7585749109016590303814"    }  },  "clientReferenceInformation": {    "code": "test123",    "comments": "Post-Pay Sale",    "partner": {      "developerId": "prodDeveloperId",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID36963"  },  "id": "7585749109016590303814",  "issuerInformation": {    "clearingData": "6700210103F0F7F1031AF1F0F0F0F0F0F0F0F0F1F3F0F0F8F4F0F7F3F9F4F94040404040",    "transactionInformation": "2025092207979288844308"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "40.00",      "authorizedAmount": "40.00",      "currency": "EUR"    }  },  "paymentAccountInformation": {    "card": {      "type": "002"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "M",      "group": "0"    },    "tokenizedCard": {      "type": "002"    },    "card": {      "type": "002"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F2701809F34034203009F350122910ABD514999106C1F4F0012"    }  },  "processorInformation": {    "systemTraceAuditNumber": "079792",    "merchantNumber": "12345678901",    "approvalCode": "608844",    "networkTransactionId": "0922MCC0000QX",    "retrievalReferenceNumber": "526521079792",    "transactionId": "0922MCC0000QX",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7585749109016590303814",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-09-22T21:01:51Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Post-Pay Sale.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
paymentInformation.initiationChannelA value is required for contactless Mastercard transactions.
pointOfSaleInformation.catLevelSet this value to 2.
pointOfSaleInformation.emv.cardSequenceNumberA value is required when EMV Tag 5F34 is configured on the EMV card.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.encryptedKeySerialNumberA value is required for online PIN transactions.
pointOfSaleInformation.encryptedPinA value is required for online PIN transactions.
pointOfSaleInformation.entryMode
pointOfSaleInformation.pinBlockEncodingFormatA value is required for online PIN transactions.
pointOfSaleInformation.serviceCodeA value is required for non-US Mastercard transactions that include track data.
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalIdThis field is required when within project scope. Merchant configuration must support multiple terminal IDs. Otherwise, uses the default terminal ID in the merchant configuration.
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorSet the value to 1.
processingInformation.captureSet this value to true.
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026